package com.ozs.service.entity;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.common.core.domain.entity.SysMenu;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 台账管理表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("台账管理表")
public class BaseCameraManagement extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 相机编码
     */
    @Excel(name = "相机编码")
    private Long cameraCode;
    
    /**
     * 通道编号
     */
    @Excel(name = "通道编号")
    private Long channel;

    /**
     * 所属工务段
     */
    @Excel(name = "所属工务段")
    private String publicWorksSection;

    /**
     * 行别
     */
    @Excel(name = "行别")
    private Integer lineDir;

    /**
     * 监控相机安装里程位置
     */
    @Excel(name = "监控相机安装里程位置")
    private Integer installMile;

    /**
     * 监控范围开始里程位置
     */
    @Excel(name = "监控范围开始里程位置")
    private Integer beginMile;

    /**
     * 监控范围结束里程位置
     */
    @Excel(name = "监控范围结束里程位置")
    private Integer endMile;

    /**
     * 监视相机经度
     */
    @Excel(name = "监视相机经度")
    private String installLongitude;

    /**
     * 监视相机纬度
     */
    @Excel(name = "监视相机纬度")
    private String installLatitude;
    /**
     * 线路编码
     */
    @Excel(name = "线路编码")
    private String railwayCode;

    /**
     * 线路名称
     */
    @Excel(name = "线路名称")
    private String railwayName;

    /**
     * 物联网卡号
     */
    @Excel(name = "物联网卡号")
    private String cardNo;
}
