package com.ozs.service.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 台账管理表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
public class BaseCameraManagementDto extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;
     
    /**
     * 相机编码
     */
    @Excel(name = "相机编码")
    private String cameraCode;
    /**
     * 所属工务段
     */
    @Excel(name = "所属工务段")
    private String publicWorksSection;

    /**
     * 行别
     */
    @Excel(name = "行别")
    private String lineDir;

    /**
     * 监控相机安装里程位置
     */
    @Excel(name = "监控相机安装里程位置")
    private Integer installMile;
    /**
     * 线路名称
     */
    @Excel(name = "线路名称")
    private String railwayName;
    /**
     * 线路编码（四位数字）
     */
    @Excel(name = "线路编码")
    private Long railwayCode;
    
}
